export interface IDeviceDto {
    id: number;
    name: string;
    description?: string;
    props?: IPropDto[]
    deviceUrl?: string;
}

export enum propType {
    float = 0,
    boolean = 1,
}

export interface IPropDto {
    id: number;
    type: propType;
    name: string;
    measureName: string;
    jsonValueName: string;
}

export type DeviceMeasureDto =
    {
        [key: string]: string;
    }